# Uses of Class
it.tdlight.jni.TdApi.PremiumFeaturePromotionAnimation

## Uses of TdApi.PremiumFeaturePromotionAnimation in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.PremiumFeaturePromotionAnimation
Modifier and Type
Field
Description
`TdApi.PremiumFeaturePromotionAnimation[]`
TdApi.PremiumState.`animations`
The list of available promotion animations for Premium features.
Constructors in it.tdlight.jni with parameters of type TdApi.PremiumFeaturePromotionAnimation
Modifier
Constructor
Description
``
`PremiumState(TdApi.FormattedText state, TdApi.PremiumStatePaymentOption[] paymentOptions, TdApi.PremiumFeaturePromotionAnimation[] animations)`
Contains state of Telegram Premium subscription and promotion videos for Premium features.